<?php
class ObservacionesBtMalaga extends ContenidoEditable {
	static $db = array(
	                   'Texto' => 'Text'                         
				);

	static $has_one = array(
					'Factura' => 'FacturaBtMalaga',
                              'Autor' => 'UsuarioBtMalaga'
	                       );

    /**
     * Función que devuelve los campos para editar
     * el contenido como subcampo.
     **/
    protected function cargarSubContenido() {
      $camposEditable = new CamposEditable();            

      //autor
      if ($this->AutorID == 0) {
          $usuario = Member::CurrentMember();
          $this->AutorID = $usuario->ID;
      }

      $campoAutor = new CampoEditable();
      $campoAutor->setNombre('AutorID');
      $campoAutor->setField(new HiddenField('AutorID', 'AutorID', $this->AutorID));
      $campoAutor->setVisible(false);
      $camposEditable->add($campoAutor);                              

      $objComponenteAutor = DataObject::get_one('ComponenteUsuarioBtMalaga', 'UsuarioID='.$this->AutorID);
      $campoNombreAutor = new CampoEditable();
      $campoNombreAutor->setNombre('Autor');
      $campoNombreAutor->setField(new ReadonlyField('NombreAutor', 'NombreAutor', $objComponenteAutor->FirstName.' '.$objComponenteAutor->Surname.' '.$objComponenteAutor->SApellido));
      $camposEditable->add($campoNombreAutor);                              

      //Fecha de creación
      $campoFecha = new CampoEditable();
      $campoFecha->setNombre('Creada');
      $campoFecha->setField(new ReadonlyField('Creada','Creada',$this->Created));
      $camposEditable->add($campoFecha);

      //Texto
      $campoTexto = new CampoEditable();
      $campoTexto->setNombre('Texto');
      $areaField = new TextareaField('Texto', 'Texto', 5, 10, $this->Texto);
      $campoTexto->setField($areaField);
      $usuario = Member::CurrentMember();
      if ($this->AutorID != $usuario->ID) {
      	$areaField->readonly = true;
      }
      $camposEditable->add($campoTexto);

	return $camposEditable;
    }
    
}
?>
